#{extends 'border.html'/}
<div class="container-fluid">

	<!-- Toolbar -->
	<div class="row">
		<div class="col-md-12">
			<div class="toolbar">
				<a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'unit_pengukuran.label'}</a>
	            <a href="@{importExcel()}" class="btn btn-primary btn-md"><i class="fa fa-upload"></i> &{'impor.label'} &{'unit_pengukuran.label'}</a>
			</div>
		</div>
	</div>
	<!-- End Toolbar -->

	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblUnitPengukuran">
						<thead>
							<th>&{'nomor.label'}</th>
							<th>&{'nama_unit_pengukuran.label'}</th>
							<th>&{'deskripsi.label'}</th>
							<th>&{'tanggal_dibuat.label'}</th>
							<th>&{'dibuat_oleh.label'}</th>
							<th>&{'tanggal_diubah.label'}</th>
							<th>&{'diubah_oleh.label'}</th>
							<th>&{'status.label'}</th>
                            <th>&{'aksi.label'}</th>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="editModal" tabindex="-1" role="dialog"
		aria-labelledby="myModalLabel">
		<div class="modal-dialog" role="document">
			#{form @masterdata.UnitPengukuranCtr.editSubmit(), method:'POST'}
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'unit_pengukuran.label'}</h4>
				</div>
				<div class="modal-body">
					<div class="form-group required">
						<label class="control-label">&{'nama_unit_pengukuran.label'}</label> <input
							id="nama_input" name="nama_unit" class="form-control" required/>
					</div>
					<div class="form-group">
						<label class="control-label">&{'deskripsi.label'}</label> <input
							id="deskripsi_input" name="deskripsi_unit" class="form-control" />
					</div>
					<input id="input_id" name="id_unit" type="hidden" />
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
			</div>
			#{/form}
		</div>
	</div>

</div>
#{set 'moreScripts'}
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#tblUnitPengukuran").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariUnitPengukuran()}",
				cache : true
			},
			order : [ [ 1, "asc" ] ],
			columns : [ {
				"searchable" : true, "className": "header-center",
                render: function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
			}, {
				"searchable" : true
			}, {
				"searchable" : false
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

		$("body").on("click", ".nama_unit_pengukuran", function() {
			var nama = $(this).html();
			var id = $(this).attr("unit_id");
			var deskripsi = $(this).attr("unit_des");
			$("#input_id").val(id);
			$("#nama_input").val(nama);
			$("#deskripsi_input").val(deskripsi);
			$("#editModal").modal();
		});

	});
</script>
#{/set}
